import OutputPacket from '@lastres/output-packet'

export interface OutputPacketExecuteActionData {
    action: string
}

export default class OutputPacketExecuteAction extends OutputPacket {
    action: string
    constructor (action: string) {
        super()
        this.action = action
    }

    command (): string {
        return 'execute_action'
    }

    data (): OutputPacketExecuteActionData {
        return {
            action: this.action
        }
    }
}
